=== modified file 'Makefile'
--- Makefile	2009-01-06 00:58:17 +0000
+++ Makefile	2008-10-28 18:00:20 +0000
@@ -15,7 +15,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.0.3
+version=1.0.2
 SED=sed
 
 ## Use these settings for a traditional /usr/local install
@@ -45,7 +45,7 @@
 CFLAGS=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
 	$(LANGUAGE) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(GPGME_CFLAGS) \
 	-DVERSION='"$(version)"'
-LDFLAGS=$(COVERAGE) $(foreach flag,$(LINK_FORTIFY),-Xlinker $(flag))
+LDFLAGS=$(COVERAGE) $(LINK_FORTIFY)
 
 # Commands to format a DocBook <refentry> document into a manual page
 DOCBOOKTOMAN=cd $(dir $<); xsltproc --nonet --xinclude \

=== modified file 'NEWS'
--- NEWS	2009-01-06 00:58:17 +0000
+++ NEWS	2008-10-17 18:56:25 +0000
@@ -1,18 +1,6 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
-Version 1.0.3 (2009-01-06)
-* Server
-** Now tries to change to user and group "_mandos" before falling back
-   to trying the old values "mandos", "nobody:nogroup", and "65534".
-** Now does not abort on startup even if no clients are defined in
-   clients.conf.
-
-* Client
-** Plugins named "*.dpkg-bak" are now ignored.
-** Hopefully fixed compilation failure on some architectures where the
-   C compiler does not recognize the "-z" option as a linker option.
-
 Version 1.0.2 (2008-10-17)
 * mandos-keygen now signs the encrypted key blobs.  This signature is
   not currently verified by mandos-client, but this may change in the

=== modified file 'README'
--- README	2009-01-04 21:54:55 +0000
+++ README	2008-10-28 18:00:20 +0000
@@ -160,8 +160,8 @@
 
 * Copyright
 
-    Copyright © 2008,2009 Teddy Hogeborn
-    Copyright © 2008,2009 Björn Påhlsson
+    Copyright © 2008 Teddy Hogeborn
+    Copyright © 2008 Björn Påhlsson
   
 ** License:
    

=== modified file 'TODO'
--- TODO	2008-12-29 02:44:54 +0000
+++ TODO	2008-12-10 01:26:02 +0000
@@ -6,9 +6,6 @@
    klogctl(6, NULL, 0); klogctl(7, NULL, 0);
 ** TODO [#C] IPv4 support
 
-* plugin-runner
-** TODO [#B] use scandir(3) instead of readdir(3)
-
 * mandos (server)
 ** TODO [#B] Log level				:bugs:
 ** TODO /etc/mandos/clients.d/*.conf
@@ -33,20 +30,13 @@
    This will not be strictly necessary when the D-Bus interface is
    implemented.
 
-* mandos.xml
-** [[file:mandos.xml::XXX][Document D-Bus interface]]
-
-* Provide and install /etc/dbus-1/system.d/mandos.conf
-
-* mandos-list
-*** Handle "no D-Bus server" and/or "no Mandos server found" better
-*** [#B] --dump option
+* Mandos-tools/utilities
+  All of this probably using D-Bus
+** TODO List clients
 ** TODO Disable client
 ** TODO Enable client
 ** TODO Reset timer
 
-* Curses interface
-
 * mandos-keygen
 ** TODO "--secfile" option
    Using the "secfile" option instead of "secret"

=== modified file 'debian/changelog'
--- debian/changelog	2009-01-06 00:58:17 +0000
+++ debian/changelog	2008-10-17 18:56:25 +0000
@@ -1,16 +1,3 @@
-mandos (1.0.3-1) unstable; urgency=low
-
-  * New upstream release.
-  * Second try to close ITP: (Closes: #500727: ITP)
-  * Fix FTBFS for some architectures: (Closes: #509398)
-  * Remove debconf note: (Closes: #509653: Debconf abuse)
-  * Add NEWS file to /usr/share/doc directories.
-  * Use and create "_mandos" user+group.  Rename old user+group created by
-    older versions of this package.
-  * Fix manual pages by adding build-depend on "docbook-xml".
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 06 Jan 2009 01:21:20 +0100
-
 mandos (1.0.2-1) unstable; urgency=low
 
   * New upstream release.

=== modified file 'debian/control'
--- debian/control	2009-01-04 21:20:50 +0000
+++ debian/control	2008-09-30 03:19:39 +0000
@@ -4,9 +4,9 @@
 Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
 Uploaders: Teddy Hogeborn <teddy@fukt.bsnet.se>,
 	   Björn Påhlsson <belorn@fukt.bsnet.se>
-Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
-	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
-	po-debconf, pkg-config
+Build-Depends: debhelper (>= 7), docbook-xsl, libavahi-core-dev,
+	libgpgme11-dev, libgnutls-dev, xsltproc, po-debconf,
+	pkg-config
 Standards-Version: 3.8.0
 Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files

=== modified file 'debian/copyright'
--- debian/copyright	2009-01-04 21:54:55 +0000
+++ debian/copyright	2008-10-15 19:54:11 +0000
@@ -5,8 +5,8 @@
 Upstream-Source: <http://www.fukt.bsnet.se/mandos>
 
 Files: *
-Copyright: Copyright © 2008,2009 Teddy Hogeborn
-Copyright: Copyright © 2008,2009 Björn Påhlsson
+Copyright: Copyright © 2008 Teddy Hogeborn
+Copyright: Copyright © 2008 Björn Påhlsson
 License: GPL-3+
     This program is free software: you can redistribute it and/or
     modify it under the terms of the GNU General Public License as

=== added file 'debian/mandos-client.templates'
--- debian/mandos-client.templates	1970-01-01 00:00:00 +0000
+++ debian/mandos-client.templates	2008-09-21 04:22:50 +0000
@@ -0,0 +1,8 @@
+Template: mandos-client/not-yet-configured
+Type: note
+_Description: Your system needs more configuration[ mandos-client]
+ Your system can not function as a Mandos client until a
+ password for this client has been added to the
+ configuration on the Mandos server.  Please read
+ /usr/share/doc/mandos-client/README.Debian.gz to find out
+ how.

=== modified file 'debian/mandos.README.Debian'
--- debian/mandos.README.Debian	2009-01-04 22:15:01 +0000
+++ debian/mandos.README.Debian	2008-09-21 04:22:50 +0000
@@ -1,7 +1,7 @@
-The Mandos server is useless without at least one configured client in
+The Mandos server cannot run without at least one configured client in
 /etc/mandos/clients.conf.  To create one, install the "mandos-client"
 package on a client computer, and run "mandos-keygen --password" there
 to get a config file stanza.  Append that to /etc/mandos/clients.conf
 on the Mandos server.
 
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Sun,  4 Jan 2009 22:59:22 +0100
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Sat, 20 Sep 2008 21:21:19 +0200

=== added file 'debian/mandos.templates'
--- debian/mandos.templates	1970-01-01 00:00:00 +0000
+++ debian/mandos.templates	2008-09-21 04:22:50 +0000
@@ -0,0 +1,9 @@
+Template: mandos/not-yet-configured
+Type: note
+_Description: Your system needs more configuration[ mandos]
+ Your system has not yet been completely configured as a
+ Mandos server - clients need to be added to to
+ /etc/mandos/clients.conf.  Please read
+ /usr/share/doc/mandos/README.Debian.gz to find out how.
+ .
+ (The server has not been started.)

=== added file 'debian/po/POTFILES.in'
--- debian/po/POTFILES.in	1970-01-01 00:00:00 +0000
+++ debian/po/POTFILES.in	2008-09-21 04:22:50 +0000
@@ -0,0 +1,2 @@
+[type: gettext/rfc822deb] mandos.templates
+[type: gettext/rfc822deb] mandos-client.templates

=== added file 'debian/po/sv.po'
--- debian/po/sv.po	1970-01-01 00:00:00 +0000
+++ debian/po/sv.po	2008-09-21 04:22:50 +0000
@@ -0,0 +1,66 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the mandos package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: 1.0\n"
+"Report-Msgid-Bugs-To: mandos@packages.debian.org\n"
+"POT-Creation-Date: 2008-09-20 23:01+0200\n"
+"PO-Revision-Date: 2008-09-21 06:01+0200\n"
+"Last-Translator: Teddy Hogeborn <teddy@fukt.bsnet.se>\n"
+"Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: note
+#. Description
+#: ../mandos.templates:1001
+msgid "Your system needs more configuration[ mandos]"
+msgstr "Ditt system behöver ytterligare konfigurering"
+
+#. Type: note
+#. Description
+#: ../mandos.templates:1001
+#| msgid ""
+#| "Your system has not yet been completely configured as a Mandos server - "
+#| "you need to setup /etc/mandos/clients.conf. Please read /usr/share/doc/"
+#| "mandos/README.Debian.gz to find out how."
+msgid ""
+"Your system has not yet been completely configured as a Mandos server - "
+"clients need to be added to to /etc/mandos/clients.conf.  Please read /usr/"
+"share/doc/mandos/README.Debian.gz to find out how."
+msgstr ""
+"Ditt system är inte helt inställd som en Mandos-server än -\n"
+"det behövs läggas till klienter i Mandos-serverns\n"
+"inställingar.  Var vänlig läs\n"
+"/usr/share/doc/mandos-client/README.Debian.gz för att få\n"
+"veta hur."
+
+#. Type: note
+#. Description
+#: ../mandos.templates:1001
+msgid "(The server has not been started.)"
+msgstr "(Servern har inte startats.)"
+
+#. Type: note
+#. Description
+#: ../mandos-client.templates:1001
+msgid "Your system needs more configuration[ mandos-client]"
+msgstr "Ditt system behöver ytterligare konfigurering"
+
+#. Type: note
+#. Description
+#: ../mandos-client.templates:1001
+msgid ""
+"Your system can not function as a Mandos client until a password for this "
+"client has been added to the configuration on the Mandos server.  Please "
+"read /usr/share/doc/mandos-client/README.Debian.gz to find out how."
+msgstr ""
+"Ditt system kan inte fungera som en Mandos-klient förrän\n"
+"ett krypterat lösenord har lagts till i Mandos-serverns\n"
+"inställingar.  Var vänlig läs\n"
+"/usr/share/doc/mandos-client/README.Debian.gz för att få\n"
+"veta hur."

=== modified file 'debian/rules'
--- debian/rules	2009-01-04 22:26:07 +0000
+++ debian/rules	2008-09-30 18:59:44 +0000
@@ -38,6 +38,7 @@
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
 	dh_auto_clean
 	dh_clean
+	debconf-updatepo
 
 install: install-indep install-arch
 install-indep:
@@ -65,6 +66,7 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
+	dh_installdebconf
 	dh_link
 	dh_strip
 	dh_compress

=== modified file 'mandos'
--- mandos	2009-01-06 00:58:17 +0000
+++ mandos	2008-12-15 02:33:36 +0000
@@ -11,8 +11,8 @@
 # and some lines in "main".
 # 
 # Everything else is
-# Copyright © 2008,2009 Teddy Hogeborn
-# Copyright © 2008,2009 Björn Påhlsson
+# Copyright © 2008 Teddy Hogeborn
+# Copyright © 2008 Björn Påhlsson
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -35,7 +35,7 @@
 
 import SocketServer
 import socket
-import optparse
+from optparse import OptionParser
 import datetime
 import errno
 import gnutls.crypto
@@ -66,7 +66,7 @@
 import ctypes
 import ctypes.util
 
-version = "1.0.3"
+version = "1.0.2"
 
 logger = logging.Logger('mandos')
 syslogger = (logging.handlers.SysLogHandler
@@ -82,11 +82,11 @@
 logger.addHandler(console)
 
 class AvahiError(Exception):
-    def __init__(self, value, *args, **kwargs):
+    def __init__(self, value):
         self.value = value
-        super(AvahiError, self).__init__(value, *args, **kwargs)
-    def __unicode__(self):
-        return unicode(repr(self.value))
+        super(AvahiError, self).__init__()
+    def __str__(self):
+        return repr(self.value)
 
 class AvahiServiceError(AvahiError):
     pass
@@ -129,7 +129,7 @@
             logger.critical(u"No suitable Zeroconf service name found"
                             u" after %i retries, exiting.",
                             self.rename_count)
-            raise AvahiServiceError(u"Too many renames")
+            raise AvahiServiceError("Too many renames")
         self.name = server.GetAlternativeServiceName(self.name)
         logger.info(u"Changing Zeroconf service name to %r ...",
                     str(self.name))
@@ -201,37 +201,57 @@
                      client lives.  %() expansions are done at
                      runtime with vars(self) as dict, so that for
                      instance %(name)s can be used in the command.
-    use_dbus: bool(); Whether to provide D-Bus interface and signals
-    dbus_object_path: dbus.ObjectPath ; only set if self.use_dbus
+    dbus_object_path: dbus.ObjectPath
+    Private attibutes:
+    _timeout: Real variable for 'timeout'
+    _interval: Real variable for 'interval'
+    _timeout_milliseconds: Used when calling gobject.timeout_add()
+    _interval_milliseconds: - '' -
     """
-    def timeout_milliseconds(self):
-        "Return the 'timeout' attribute in milliseconds"
-        return ((self.timeout.days * 24 * 60 * 60 * 1000)
-                + (self.timeout.seconds * 1000)
-                + (self.timeout.microseconds // 1000))
-    
-    def interval_milliseconds(self):
-        "Return the 'interval' attribute in milliseconds"
-        return ((self.interval.days * 24 * 60 * 60 * 1000)
-                + (self.interval.seconds * 1000)
-                + (self.interval.microseconds // 1000))
-    
-    def __init__(self, name = None, disable_hook=None, config=None,
-                 use_dbus=True):
+    def _set_timeout(self, timeout):
+        "Setter function for the 'timeout' attribute"
+        self._timeout = timeout
+        self._timeout_milliseconds = ((self.timeout.days
+                                       * 24 * 60 * 60 * 1000)
+                                      + (self.timeout.seconds * 1000)
+                                      + (self.timeout.microseconds
+                                         // 1000))
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String(u"timeout"),
+                             (dbus.UInt64(self._timeout_milliseconds,
+                                          variant_level=1)))
+    timeout = property(lambda self: self._timeout, _set_timeout)
+    del _set_timeout
+    
+    def _set_interval(self, interval):
+        "Setter function for the 'interval' attribute"
+        self._interval = interval
+        self._interval_milliseconds = ((self.interval.days
+                                        * 24 * 60 * 60 * 1000)
+                                       + (self.interval.seconds
+                                          * 1000)
+                                       + (self.interval.microseconds
+                                          // 1000))
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String(u"interval"),
+                             (dbus.UInt64(self._interval_milliseconds,
+                                          variant_level=1)))
+    interval = property(lambda self: self._interval, _set_interval)
+    del _set_interval
+    
+    def __init__(self, name = None, disable_hook=None, config=None):
         """Note: the 'checker' key in 'config' sets the
         'checker_command' attribute and *not* the 'checker'
         attribute."""
-        self.name = name
+        self.dbus_object_path = (dbus.ObjectPath
+                                 ("/Mandos/clients/"
+                                  + name.replace(".", "_")))
+        dbus.service.Object.__init__(self, bus,
+                                     self.dbus_object_path)
         if config is None:
             config = {}
+        self.name = name
         logger.debug(u"Creating client %r", self.name)
-        self.use_dbus = use_dbus
-        if self.use_dbus:
-            self.dbus_object_path = (dbus.ObjectPath
-                                     ("/Mandos/clients/"
-                                      + self.name.replace(".", "_")))
-            dbus.service.Object.__init__(self, bus,
-                                         self.dbus_object_path)
         # Uppercase and remove spaces from fingerprint for later
         # comparison purposes with return value from the fingerprint()
         # function
@@ -268,22 +288,21 @@
         # Schedule a new checker to be started an 'interval' from now,
         # and every interval from then on.
         self.checker_initiator_tag = (gobject.timeout_add
-                                      (self.interval_milliseconds(),
+                                      (self._interval_milliseconds,
                                        self.start_checker))
         # Also start a new checker *right now*.
         self.start_checker()
         # Schedule a disable() when 'timeout' has passed
         self.disable_initiator_tag = (gobject.timeout_add
-                                   (self.timeout_milliseconds(),
+                                   (self._timeout_milliseconds,
                                     self.disable))
         self.enabled = True
-        if self.use_dbus:
-            # Emit D-Bus signals
-            self.PropertyChanged(dbus.String(u"enabled"),
-                                 dbus.Boolean(True, variant_level=1))
-            self.PropertyChanged(dbus.String(u"last_enabled"),
-                                 (_datetime_to_dbus(self.last_enabled,
-                                                    variant_level=1)))
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String(u"enabled"),
+                             dbus.Boolean(True, variant_level=1))
+        self.PropertyChanged(dbus.String(u"last_enabled"),
+                             (_datetime_to_dbus(self.last_enabled,
+                                                variant_level=1)))
     
     def disable(self):
         """Disable this client."""
@@ -300,10 +319,9 @@
         if self.disable_hook:
             self.disable_hook(self)
         self.enabled = False
-        if self.use_dbus:
-            # Emit D-Bus signal
-            self.PropertyChanged(dbus.String(u"enabled"),
-                                 dbus.Boolean(False, variant_level=1))
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String(u"enabled"),
+                             dbus.Boolean(False, variant_level=1))
         # Do not run this again if called by a gobject.timeout_add
         return False
     
@@ -315,36 +333,32 @@
         """The checker has completed, so take appropriate actions."""
         self.checker_callback_tag = None
         self.checker = None
-        if self.use_dbus:
-            # Emit D-Bus signal
-            self.PropertyChanged(dbus.String(u"checker_running"),
-                                 dbus.Boolean(False, variant_level=1))
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String(u"checker_running"),
+                             dbus.Boolean(False, variant_level=1))
         if (os.WIFEXITED(condition)
             and (os.WEXITSTATUS(condition) == 0)):
             logger.info(u"Checker for %(name)s succeeded",
                         vars(self))
-            if self.use_dbus:
-                # Emit D-Bus signal
-                self.CheckerCompleted(dbus.Boolean(True),
-                                      dbus.UInt16(condition),
-                                      dbus.String(command))
+            # Emit D-Bus signal
+            self.CheckerCompleted(dbus.Boolean(True),
+                                  dbus.UInt16(condition),
+                                  dbus.String(command))
             self.bump_timeout()
         elif not os.WIFEXITED(condition):
             logger.warning(u"Checker for %(name)s crashed?",
                            vars(self))
-            if self.use_dbus:
-                # Emit D-Bus signal
-                self.CheckerCompleted(dbus.Boolean(False),
-                                      dbus.UInt16(condition),
-                                      dbus.String(command))
+            # Emit D-Bus signal
+            self.CheckerCompleted(dbus.Boolean(False),
+                                  dbus.UInt16(condition),
+                                  dbus.String(command))
         else:
             logger.info(u"Checker for %(name)s failed",
                         vars(self))
-            if self.use_dbus:
-                # Emit D-Bus signal
-                self.CheckerCompleted(dbus.Boolean(False),
-                                      dbus.UInt16(condition),
-                                      dbus.String(command))
+            # Emit D-Bus signal
+            self.CheckerCompleted(dbus.Boolean(False),
+                                  dbus.UInt16(condition),
+                                  dbus.String(command))
     
     def bump_timeout(self):
         """Bump up the timeout for this client.
@@ -354,14 +368,11 @@
         self.last_checked_ok = datetime.datetime.utcnow()
         gobject.source_remove(self.disable_initiator_tag)
         self.disable_initiator_tag = (gobject.timeout_add
-                                      (self.timeout_milliseconds(),
+                                      (self._timeout_milliseconds,
                                        self.disable))
-        if self.use_dbus:
-            # Emit D-Bus signal
-            self.PropertyChanged(
-                dbus.String(u"last_checked_ok"),
-                (_datetime_to_dbus(self.last_checked_ok,
-                                   variant_level=1)))
+        self.PropertyChanged(dbus.String(u"last_checked_ok"),
+                             (_datetime_to_dbus(self.last_checked_ok,
+                                                variant_level=1)))
     
     def start_checker(self):
         """Start a new checker subprocess if one is not running.
@@ -400,12 +411,10 @@
                 self.checker = subprocess.Popen(command,
                                                 close_fds=True,
                                                 shell=True, cwd="/")
-                if self.use_dbus:
-                    # Emit D-Bus signal
-                    self.CheckerStarted(command)
-                    self.PropertyChanged(
-                        dbus.String("checker_running"),
-                        dbus.Boolean(True, variant_level=1))
+                # Emit D-Bus signal
+                self.CheckerStarted(command)
+                self.PropertyChanged(dbus.String("checker_running"),
+                                     dbus.Boolean(True, variant_level=1))
                 self.checker_callback_tag = (gobject.child_watch_add
                                              (self.checker.pid,
                                               self.checker_callback,
@@ -433,9 +442,8 @@
             if error.errno != errno.ESRCH: # No such process
                 raise
         self.checker = None
-        if self.use_dbus:
-            self.PropertyChanged(dbus.String(u"checker_running"),
-                                 dbus.Boolean(False, variant_level=1))
+        self.PropertyChanged(dbus.String(u"checker_running"),
+                             dbus.Boolean(False, variant_level=1))
     
     def still_valid(self):
         """Has the timeout not yet passed for this client?"""
@@ -492,10 +500,10 @@
                      if self.last_checked_ok is not None
                      else dbus.Boolean (False, variant_level=1)),
                 dbus.String("timeout"):
-                    dbus.UInt64(self.timeout_milliseconds(),
+                    dbus.UInt64(self._timeout_milliseconds,
                                 variant_level=1),
                 dbus.String("interval"):
-                    dbus.UInt64(self.interval_milliseconds(),
+                    dbus.UInt64(self._interval_milliseconds,
                                 variant_level=1),
                 dbus.String("checker"):
                     dbus.String(self.checker_command,
@@ -521,28 +529,17 @@
     def SetChecker(self, checker):
         "D-Bus setter method"
         self.checker_command = checker
-        # Emit D-Bus signal
-        self.PropertyChanged(dbus.String(u"checker"),
-                             dbus.String(self.checker_command,
-                                         variant_level=1))
     
     # SetHost - method
     @dbus.service.method(_interface, in_signature="s")
     def SetHost(self, host):
         "D-Bus setter method"
         self.host = host
-        # Emit D-Bus signal
-        self.PropertyChanged(dbus.String(u"host"),
-                             dbus.String(self.host, variant_level=1))
     
     # SetInterval - method
     @dbus.service.method(_interface, in_signature="t")
     def SetInterval(self, milliseconds):
-        self.interval = datetime.timedelta(0, 0, 0, milliseconds)
-        # Emit D-Bus signal
-        self.PropertyChanged(dbus.String(u"interval"),
-                             (dbus.UInt64(self.interval_milliseconds(),
-                                          variant_level=1)))
+        self.interval = datetime.timdeelta(0, 0, 0, milliseconds)
     
     # SetSecret - method
     @dbus.service.method(_interface, in_signature="ay",
@@ -555,10 +552,6 @@
     @dbus.service.method(_interface, in_signature="t")
     def SetTimeout(self, milliseconds):
         self.timeout = datetime.timedelta(0, 0, 0, milliseconds)
-        # Emit D-Bus signal
-        self.PropertyChanged(dbus.String(u"timeout"),
-                             (dbus.UInt64(self.timeout_milliseconds(),
-                                          variant_level=1)))
     
     # Enable - method
     Enable = dbus.service.method(_interface)(enable)
@@ -840,7 +833,7 @@
     elif state == avahi.ENTRY_GROUP_FAILURE:
         logger.critical(u"Avahi: Error in group state changed %s",
                         unicode(error))
-        raise AvahiGroupError(u"State changed: %s" % unicode(error))
+        raise AvahiGroupError("State changed: %s", str(error))
 
 def if_nametoindex(interface):
     """Call the C function if_nametoindex(), or equivalent"""
@@ -889,14 +882,14 @@
 
 
 def main():
-    parser = optparse.OptionParser(version = "%%prog %s" % version)
+    parser = OptionParser(version = "%%prog %s" % version)
     parser.add_option("-i", "--interface", type="string",
                       metavar="IF", help="Bind to interface IF")
     parser.add_option("-a", "--address", type="string",
                       help="Address to listen for requests on")
     parser.add_option("-p", "--port", type="int",
                       help="Port number to receive requests on")
-    parser.add_option("--check", action="store_true",
+    parser.add_option("--check", action="store_true", default=False,
                       help="Run self-test")
     parser.add_option("--debug", action="store_true",
                       help="Debug mode; run in foreground and log to"
@@ -909,9 +902,6 @@
                       default="/etc/mandos", metavar="DIR",
                       help="Directory to search for configuration"
                       " files")
-    parser.add_option("--no-dbus", action="store_false",
-                      dest="use_dbus",
-                      help=optparse.SUPPRESS_HELP)
     options = parser.parse_args()[0]
     
     if options.check:
@@ -927,7 +917,6 @@
                         "priority":
                         "SECURE256:!CTYPE-X.509:+CTYPE-OPENPGP",
                         "servicename": "Mandos",
-                        "use_dbus": "True",
                         }
     
     # Parse config file for server-global settings
@@ -936,28 +925,22 @@
     server_config.read(os.path.join(options.configdir, "mandos.conf"))
     # Convert the SafeConfigParser object to a dict
     server_settings = server_config.defaults()
-    # Use getboolean on the boolean config options
+    # Use getboolean on the boolean config option
     server_settings["debug"] = (server_config.getboolean
                                 ("DEFAULT", "debug"))
-    server_settings["use_dbus"] = (server_config.getboolean
-                                   ("DEFAULT", "use_dbus"))
     del server_config
     
     # Override the settings from the config file with command line
     # options, if set.
     for option in ("interface", "address", "port", "debug",
-                   "priority", "servicename", "configdir",
-                   "use_dbus"):
+                   "priority", "servicename", "configdir"):
         value = getattr(options, option)
         if value is not None:
             server_settings[option] = value
     del options
     # Now we have our good server settings in "server_settings"
     
-    # For convenience
     debug = server_settings["debug"]
-    use_dbus = server_settings["use_dbus"]
-    use_dbus = False
     
     if not debug:
         syslogger.setLevel(logging.WARNING)
@@ -1036,17 +1019,15 @@
                                            avahi.DBUS_PATH_SERVER),
                             avahi.DBUS_INTERFACE_SERVER)
     # End of Avahi example code
-    if use_dbus:
-        bus_name = dbus.service.BusName(u"org.mandos-system.Mandos",
-                                        bus)
+    bus_name = dbus.service.BusName(u"org.mandos-system.Mandos", bus)
     
     clients.update(Set(Client(name = section,
                               config
-                              = dict(client_config.items(section)),
-                              use_dbus = use_dbus)
+                              = dict(client_config.items(section)))
                        for section in client_config.sections()))
     if not clients:
-        logger.warning(u"No clients defined")
+        logger.critical(u"No clients defined")
+        sys.exit(1)
     
     if debug:
         # Redirect stdin so all checkers get /dev/null
@@ -1094,60 +1075,51 @@
     signal.signal(signal.SIGHUP, lambda signum, frame: sys.exit())
     signal.signal(signal.SIGTERM, lambda signum, frame: sys.exit())
     
-    if use_dbus:
-        class MandosServer(dbus.service.Object):
-            """A D-Bus proxy object"""
-            def __init__(self):
-                dbus.service.Object.__init__(self, bus,
-                                             "/Mandos")
-            _interface = u"org.mandos_system.Mandos"
-
-            @dbus.service.signal(_interface, signature="oa{sv}")
-            def ClientAdded(self, objpath, properties):
-                "D-Bus signal"
-                pass
-
-            @dbus.service.signal(_interface, signature="o")
-            def ClientRemoved(self, objpath):
-                "D-Bus signal"
-                pass
-
-            @dbus.service.method(_interface, out_signature="ao")
-            def GetAllClients(self):
-                return dbus.Array(c.dbus_object_path for c in clients)
-
-            @dbus.service.method(_interface, out_signature="a{oa{sv}}")
-            def GetAllClientsWithProperties(self):
-                return dbus.Dictionary(
-                    ((c.dbus_object_path, c.GetAllProperties())
-                     for c in clients),
-                    signature="oa{sv}")
-
-            @dbus.service.method(_interface, in_signature="o")
-            def RemoveClient(self, object_path):
-                for c in clients:
-                    if c.dbus_object_path == object_path:
-                        clients.remove(c)
-                        # Don't signal anything except ClientRemoved
-                        c.use_dbus = False
-                        c.disable()
-                        # Emit D-Bus signal
-                        self.ClientRemoved(object_path)
-                        return
-                raise KeyError
-            @dbus.service.method(_interface)
-            def Quit(self):
-                main_loop.quit()
-
-            del _interface
+    class MandosServer(dbus.service.Object):
+        """A D-Bus proxy object"""
+        def __init__(self):
+            dbus.service.Object.__init__(self, bus,
+                                         "/Mandos")
+        _interface = u"org.mandos_system.Mandos"
+        
+        @dbus.service.signal(_interface, signature="oa{sv}")
+        def ClientAdded(self, objpath, properties):
+            "D-Bus signal"
+            pass
+        
+        @dbus.service.signal(_interface, signature="o")
+        def ClientRemoved(self, objpath):
+            "D-Bus signal"
+            pass
+        
+        @dbus.service.method(_interface, out_signature="ao")
+        def GetAllClients(self):
+            return dbus.Array(c.dbus_object_path for c in clients)
+        
+        @dbus.service.method(_interface, out_signature="a{oa{sv}}")
+        def GetAllClientsWithProperties(self):
+            return dbus.Dictionary(
+                ((c.dbus_object_path, c.GetAllProperties())
+                 for c in clients),
+                signature="oa{sv}")
+        
+        @dbus.service.method(_interface, in_signature="o")
+        def RemoveClient(self, object_path):
+            for c in clients:
+                if c.dbus_object_path == object_path:
+                    c.disable()
+                    clients.remove(c)
+                    return
+            raise KeyError
+        
+        del _interface
     
-        mandos_server = MandosServer()
+    mandos_server = MandosServer()
     
     for client in clients:
-        if use_dbus:
-            # Emit D-Bus signal
-            mandos_server.ClientAdded(client.dbus_object_path,
-                                      client.GetAllProperties())
+        # Emit D-Bus signal
+        mandos_server.ClientAdded(client.dbus_object_path,
+                                  client.GetAllProperties())
         client.enable()
     
     tcp_server.enable()
@@ -1178,7 +1150,7 @@
         logger.debug(u"Starting main loop")
         main_loop.run()
     except AvahiError, error:
-        logger.critical(u"AvahiError: %s", error)
+        logger.critical(u"AvahiError: %s" + unicode(error))
         sys.exit(1)
     except KeyboardInterrupt:
         if debug:

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2009-01-04 21:54:55 +0000
+++ mandos-clients.conf.xml	2008-10-07 21:31:09 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-07">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -33,7 +33,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'mandos-keygen'
--- mandos-keygen	2009-01-06 00:58:17 +0000
+++ mandos-keygen	2008-11-11 16:07:18 +0000
@@ -2,8 +2,8 @@
 # 
 # Mandos key generator - create a new OpenPGP key for a Mandos client
 # 
-# Copyright © 2008,2009 Teddy Hogeborn
-# Copyright © 2008,2009 Björn Påhlsson
+# Copyright © 2008 Teddy Hogeborn
+# Copyright © 2008 Björn Påhlsson
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-VERSION="1.0.3"
+VERSION="1.0.2"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA

=== modified file 'mandos-keygen.xml'
--- mandos-keygen.xml	2009-01-04 21:54:55 +0000
+++ mandos-keygen.xml	2008-10-04 01:55:56 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-keygen">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-03">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'mandos-options.xml'
--- mandos-options.xml	2008-12-29 02:44:54 +0000
+++ mandos-options.xml	2008-09-30 03:19:39 +0000
@@ -65,11 +65,5 @@
     rename itself to <quote><literal>Mandos #2</literal></quote>, and
     so on; therefore, this option is not needed in that case.
   </para>
-
-  <para id="dbus">
-    This option controls whether the server will provide a D-Bus
-    system bus interface.  The default is to provide such an
-    interface.
-  </para>
   
 </section>

=== modified file 'mandos.conf'
--- mandos.conf	2008-12-29 02:44:54 +0000
+++ mandos.conf	2008-08-18 23:55:28 +0000
@@ -36,6 +36,3 @@
 # If there are name collisions on the same *network*, the server will
 # rename itself to "Mandos #2", etc.
 ;servicename = Mandos
-
-# Whether to provide a D-Bus system bus interface or not
-;use_dbus = True

=== modified file 'mandos.conf.xml'
--- mandos.conf.xml	2009-01-04 21:54:55 +0000
+++ mandos.conf.xml	2008-09-30 07:23:39 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/mandos.conf</filename>">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-09-30">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -33,7 +33,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -131,17 +130,6 @@
 	</listitem>
       </varlistentry>
       
-      <varlistentry>
-	<term><option>use_dbus<literal> = </literal>{ <literal
-	  >1</literal> | <literal>yes</literal> | <literal
-	  >true</literal> | <literal>on</literal> | <literal
-	  >0</literal> | <literal>no</literal> | <literal
-	  >false</literal> | <literal>off</literal> }</option></term>
-	<listitem>
-	  <xi:include href="mandos-options.xml" xpointer="dbus"/>
-	</listitem>
-      </varlistentry>
-      
     </variablelist>
   </refsect1>
   
@@ -184,7 +172,6 @@
 debug = true
 priority = SECURE256:!CTYPE-X.509:+CTYPE-OPENPGP
 servicename = Daena
-use_dbus = False
       </programlisting>
     </informalexample>
   </refsect1>

=== modified file 'mandos.lsm'
--- mandos.lsm	2009-01-06 00:58:17 +0000
+++ mandos.lsm	2008-12-10 01:26:02 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.0.3
-Entered-date:	2009-01-06
+Version:	1.0.2
+Entered-date:	2008-10-28
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,9 +12,9 @@
 Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
 		belorn@fukt.bsnet.se (Björn Påhlsson)
 Primary-site: http://www.fukt.bsnet.se/mandos
-	      92K mandos_1.0.3.orig.tar.gz
+	      89K mandos_1.0.2.orig.tar.gz
 Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
-		92K mandos_1.0.3.orig.tar.gz
+		89K mandos_1.0.2.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.4, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.

=== modified file 'mandos.xml'
--- mandos.xml	2009-01-05 23:26:06 +0000
+++ mandos.xml	2008-10-04 01:55:56 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-03">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2009-01-04 21:54:55 +0000
+++ plugin-runner.c	2008-11-11 16:07:18 +0000
@@ -2,8 +2,8 @@
 /*
  * Mandos plugin runner - Run Mandos plugins
  *
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugin-runner.xml'
--- plugin-runner.xml	2009-01-04 21:54:55 +0000
+++ plugin-runner.xml	2008-09-30 07:23:39 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "plugin-runner">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-09-30">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/askpass-fifo.c'
--- plugins.d/askpass-fifo.c	2009-01-04 21:54:55 +0000
+++ plugins.d/askpass-fifo.c	2008-11-11 16:07:18 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from a FIFO and output it
  * 
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/askpass-fifo.xml'
--- plugins.d/askpass-fifo.xml	2009-01-04 21:54:55 +0000
+++ plugins.d/askpass-fifo.xml	2008-10-04 20:09:53 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "askpass-fifo">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2009-01-04 21:54:55 +0000
+++ plugins.d/mandos-client.c	2008-11-11 16:07:18 +0000
@@ -9,8 +9,8 @@
  * "browse_callback", and parts of "main".
  * 
  * Everything else is
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/mandos-client.xml'
--- plugins.d/mandos-client.xml	2009-01-04 21:54:55 +0000
+++ plugins.d/mandos-client.xml	2008-10-04 01:55:56 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-client">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-03">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/password-prompt.c'
--- plugins.d/password-prompt.c	2009-01-04 21:54:55 +0000
+++ plugins.d/password-prompt.c	2008-11-11 16:07:18 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from the terminal and print it
  * 
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/password-prompt.xml'
--- plugins.d/password-prompt.xml	2009-01-04 21:54:55 +0000
+++ plugins.d/password-prompt.xml	2008-10-04 01:55:56 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "password-prompt">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/splashy.c'
--- plugins.d/splashy.c	2009-01-04 21:54:55 +0000
+++ plugins.d/splashy.c	2008-11-11 16:07:18 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from splashy and output it
  * 
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/splashy.xml'
--- plugins.d/splashy.xml	2009-01-04 21:54:55 +0000
+++ plugins.d/splashy.xml	2008-10-04 03:11:39 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "splashy">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/usplash.c'
--- plugins.d/usplash.c	2009-01-04 21:54:55 +0000
+++ plugins.d/usplash.c	2008-11-11 16:07:18 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from usplash and output it
  * 
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/usplash.xml'
--- plugins.d/usplash.xml	2009-01-04 21:54:55 +0000
+++ plugins.d/usplash.xml	2008-10-04 03:11:39 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "usplash">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

